Author Topic: lexer*.xml malformed !  (Read 1554 times)

Offline LETARTARE

  • Regular
  • ***
  • Posts: 496
  • L'ami de l'homme.The friend of man.
lexer*.xml malformed !
« on: March 28, 2022, 07:15:19 pm »
cb-12765, the lexers :
Quote
lexer_cu.xml
lexer_d.xml
lexer_powershell
charged in 'Firefox-90.02' are indicated malformed.
Is it normal ? How to correct this problem ?
CB-13071, plugins-sdk-2.23.0 : Collector-1.7.7, AddOnForQt-3.4.9
1-Win7 Business Pack1 64bits : wx-3.2.1, gcc-8.1.0,
2-OpenSuse::Leap-15.4-64bits : wx-3.2.1;gtk3, gcc-8.2.1,
=> !! The messages are translated by Deepl

Offline Miguel Gimenez

  • Developer
  • Lives here!
  • *****
  • Posts: 1200
Re: lexer*.xml malformed !
« Reply #1 on: March 28, 2022, 07:57:46 pm »
The first gives error on line 137, probably some of the characters must be escaped:
Code
$ @ \ & < > # { }"/>

The second is similar but on line 109

The third gives error on line 146:
Code
StreamCommentStart="<#"
but probably will give more errors in the following lines afterwards. Looks like < and > must be escaped.

Offline Miguel Gimenez

  • Developer
  • Lives here!
  • *****
  • Posts: 1200
Re: lexer*.xml malformed !
« Reply #2 on: March 28, 2022, 08:47:10 pm »
Fixed in r12766, thank you for reporting.